%define name		jcrontab
%define Name		Jcrontab
%define version		1.3
%define release		1jpp
%define javadir		%{_datadir}/java
%define javadocdir	%{_datadir}/javadoc
%define section		free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:        Jcrontab is a scheduler written in Java
License:        LGPL
Url:            http://%{name}.sourceforge.net/
Group:          Development/Libraries/Java
Vendor:         JPackage Project
Distribution:	JPackage
Source0:        http://unc.dl.sourceforge.net/sourceforge/%{name}/%{Name}-%{version}.tgz
Source1:	%{name}-script
Requires:	jaf
Requires:	javamail
Requires:	log4j
Requires:	servlet
Requires:	xalan-j2
Requires:	xerces-j2
BuildRequires:  ant
BuildRequires:  jaf
BuildRequires:  javamail
BuildRequires:  junit
BuildRequires:  log4j
BuildRequires:  servlet
BuildRequires:	xalan-j2
BuildRequires:	xerces-j2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot

%description
Jcrontab: 

* Provides a system to run Classes/Threads/main/EJB/Methods/NativePrograms...
  at a given time.
* Provides a parser of crontab-like files that are fully compatible with
  UNIX-POSIX crontab files. 
* Stores and reads crontab table from files, DD.BB. and is designed to be
  extended using generic interface DataSource to store/read crontab from any
  place. 
* Sends an email with the result of the execution.
* Can be easily integrated with application servers - it has been tested in
  Tomcat, Resin, Jetty and Jboss. It has a load-on-startup servlet to make it
  easier. 
* Can be used as a stand-alone application to "replace" cron. 
* Has been designed and developed to get maximum performance and extensibility.

%package manual
Summary:	Manual for %{name}
Group:		Development/Java

%description manual
Documentation for %{name}.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{Name}-%{version}
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;

# remove 
rm -f ./src/org/jcrontab/Turbine*.java

%build
export CLASSPATH=\
%{javadir}/activation.jar:\
%{javadir}/javamail/mailapi.jar:\
%{javadir}/junit.jar:\
%{javadir}/log4j.jar:\
%{javadir}/servlet.jar:\
%{javadir}/xalan-j2.jar:\
%{javadir}/xerces-j2.jar

%ant jar
%ant doc

%install
# jar
install -d -m 755 $RPM_BUILD_ROOT%{javadir}
install -m 644 jar/%{name}.jar \
$RPM_BUILD_ROOT%{javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}*; do \
ln -sf ${jar} ${jar/-%{version}/}; done)

# documentation
mv -f doc/Design doc/HOWTO-netbeans-sourceforge doc/HOWTO-Use-ClassLoader \
doc/FAQ doc/HOWTO-Turbine-Service doc/project-2.0 .

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
cp -pr doc/* $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
(cd $RPM_BUILD_ROOT%{javadocdir} && ln -sf %{name}-%{version} %{name})

# data
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 755 etc/create.sql $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 755 etc/web.xml $RPM_BUILD_ROOT%{_datadir}/%{name}

# scripts
install -d $RPM_BUILD_ROOT%{_bindir}
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog LICENSE README TODO
%doc Design FAQ project-2.0
%doc HOWTO-netbeans-sourceforge HOWTO-Use-ClassLoader HOWTO-Turbine-Service

%defattr(-,root,root)
%attr(0755,root,root) %{_bindir}/%{name}
%{javadir}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*

%files manual
%defattr(-,root,root)
%doc web/*

%files javadoc
%defattr(-,root,root)
%{javadocdir}/*

%changelog
* Sun Feb 09 2003 David Walluck <david@anti-microsoft.org> 1.3-1jpp
- release (#639135)
- turbine support has been removed since it's not in jpackage (yet?)
- add symlink to javadocs (#680575)
